import ctypes

def alloc_mem(libc):
    alloc_c_string = libc.alloc_C_string
    alloc_c_string.restype = ctypes.POINTER(ctypes.c_char)
    c_string_address = alloc_c_string()
    phrase = ctypes.c_char_p.from_buffer(c_string_address)
    print("Bytes in Python {0}".format(phrase.value))
    free_func = libc.free_C_string
    free_func.argtypes = [ctypes.POINTER(ctypes.c_char), ]
    free_func(c_string_address)

if __name__ == "__main__":
    LIBC = ctypes.CDLL("libmemorybasic.so")
    alloc_mem(LIBC)
